%define module Digest-CRC

Summary:	Generic CRC functions
Name: 		perl-%{module}
Version: 	0.14
Release:	%mkrel 4
License:	Public Domain
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source0:	%{module}-%{version}.tar.gz
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
The Digest::CRC module calculates CRC sums of all sorts. It contains wrapper
functions with the correct parameters for CRC-CCITT, CRC-16 and CRC-32.

%prep

%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
make test

%install
rm -rf %{buildroot}

%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%dir %{perl_vendorarch}/auto/Digest/CRC
%{perl_vendorarch}/auto/Digest/CRC/*.so
%{perl_vendorarch}/Digest/CRC.pm
%{_mandir}/*/*




%changelog
* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.14-4mdv2009.0
+ Revision: 256680
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.14-2mdv2008.1
+ Revision: 152063
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Nov 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.14-1mdv2008.1
+ Revision: 106539
- update to new version 0.14

* Thu Nov 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.11-1mdv2008.1
+ Revision: 104523
- update to new version 0.11


* Fri Mar 09 2007 Oden Eriksson <oeriksson@mandriva.com> 0.10-2mdv2007.1
+ Revision: 139557
- fix deps
- fix deps
- Import perl-Digest-CRC

* Fri Mar 09 2007 Oden Eriksson <oeriksson@mandriva.com> 0.10-1mdv2007.1
- initial Mandriva package

